require 'hashie/mash'
require 'active_support/core_ext'
require 'pry'

require 'hyrb/version'

module Hyrb
  DEFAULT_PATH = File.join(File.expand_path("~"), ".hyfn")
  TEMPLATE_PATH = File.join(File.dirname(__FILE__), "templates")

  def self.autoload_each(base, base_path, files)
    files.each {|f| base.autoload f.camelcase.to_sym, "#{base_path}/#{f}" }
  end
end

require 'hyrb/pipeline'
require 'hyrb/task'
require 'hyrb/model'