module Hyrb
  module Commands
    class Creds < Command
      desc "show", "Show credentials for various services"
      def show
        pipeline(Hyrb::Tasks::Creds::Show)
      end

      desc "build", "Update credentials"
      def build
        pipeline(Hyrb::Tasks::Creds::Build)
      end

      desc "edit", "Edit credentials file in your default editor"
      def edit
        pipeline(Hyrb::Tasks::Creds::Edit)
      end
    end
  end
end