module Hyrb
  module Commands
    class Environment < Command
      desc "create <project> <environment>", "Create a new environment"
      def create(project = nil, environment = nil)
        env = { project_name: project, environment_name: environment }
        pipeline(Hyrb::Tasks::Environment::Init, env)
      end
    end
  end
end