module Hyrb
  module Commands
    class Hipchat < Command
      desc "show_rooms", "List Hipchat rooms"
      def show_rooms
        pipeline(Hyrb::Tasks::Hipchat::ShowRooms)
      end

      desc "ceate_room <project>", "Create a Hipchat room for a project"
      def create_room(project_name = nil)
        pipeline(Hyrb::Tasks::Hipchat::CreateRoom, {project_name: project_name})
      end

      desc "archive_old_rooms", "Interactively archive unused rooms"
      def archive_old_rooms
        pipeline(Hyrb::Tasks::Hipchat::ArchiveOldRooms)
      end
    end
  end
end