module Hyrb
  module Commands
    class Provision < Command
      desc "digital_ocean <project> <environment>", "Create a Digital Ocean server for a project"
      def digital_ocean(project = nil, environment = nil)
        env = { project_name: project, environment_name: environment }
        pipeline(Hyrb::Tasks::Provision::DigitalOcean, env)
      end

      desc "rackspace <project> <environment>", "Create a Rackspace server for a project"
      def rackspace(project = nil, environment = nil)
        env = { project_name: project, environment_name: environment }
        pipeline(Hyrb::Tasks::Provision::Rackspace, env)
      end
    end
  end
end