module Hyrb
  module Commands
    class Defaults < Command
      desc "show", "Show defaults"
      def show
        pipeline(Hyrb::Tasks::Defaults::Show)
      end

      desc "build", "Update defaults"
      def build
        pipeline(Hyrb::Tasks::Defaults::Build)
      end

      desc "edit", "Edit defaults file in your default editor"
      def edit
        pipeline(Hyrb::Tasks::Defaults::Edit)
      end
    end
  end
end