module Hyrb
  module Commands
    class Developers < Command
      desc "show", "Show developer info"
      def show(developer_name = nil)
        pipeline(Hyrb::Tasks::Developers::Show, developer_name: developer_name)
      end

      desc "download", "Download developer info from Google Docs"
      def download(project = nil)
        pipeline(Hyrb::Tasks::Developers::Download, project_name: project)
      end
    end
  end
end