module Hyrb
  module Commands
    class DigitalOcean < Command
      desc "show_keys", "List Digital Ocean saved SSH keys"
      def show_keys
        pipeline(Hyrb::Tasks::DigitalOcean::ShowSSHKeys)
      end

      desc "sync_keys", "Sync Digital Ocean SSH keys with user list from Google Apps"
      def sync_keys
        pipeline(Hyrb::Tasks::DigitalOcean::SyncSSHKeys)
      end
    end
  end
end