module Hyrb
  module Commands
    class Github < Command
      desc "show_repos", "List Github repos"
      def show_repos
        pipeline(Hyrb::Tasks::Github::ShowRepos)
      end

      desc "create_repo <project>", "Create a Github repo for a project"
      def create_repo(project_name = nil)
        pipeline(Hyrb::Tasks::Github::CreateRepo, {project_name: project_name})
      end
    end
  end
end