module Hyrb
  module Commands
    class Rackspace < Command
      desc "create_dns_record <project> <environment>", "Create a DNS record on Rackspace"
      def create_dns_record(project = nil, environment = nil)
        env = { project_name: project, environment_name: environment }
        pipeline(Hyrb::Tasks::Rackspace::CreateDNSRecord, env)
      end
    end
  end
end