module Hyrb
  module Models
    class Creds < Struct
      define_keys %w( rackspace_api_key
                      rackspace_username
                      digital_ocean_api_key
                      digital_ocean_client_id
                      aws_access_key_id
                      aws_secret_access_key
                      github_org
                      github_api_key
                      hipchat_api_key
                      hipchat_user_id
                      google_client_id
                      google_client_secret
                      google_refresh_token
                      google_spreadsheet_key )

      def initialize
        super("creds")
      end
    end
  end
end